Menu

Installation de .NET Framework: v4.0 [Fermé]

Messages postés
14
Date d'inscription
jeudi 27 janvier 2011
Statut
Membre
Dernière intervention
19 mai 2012
- - Dernière réponse :  msdkfjqsmdkljq - 15 févr. 2016 à 17:30
Bonjour,



j'essaie d'installé le logiciel "Mathcad Prime 2.0" sur mon PC et je reçois le méssage comme quoi le logiciel .NET Framework: v4.0 doit être installé sur mon PC. J'ai alors téléchargé ce dernier puis l'installé de nouveau car il était déjà normalement installé sur mon PC. Malgrè cela je recois le meme méssage lors de l'installation de mon logiciel.

Quelqu'un aura t il une solution à me proposé?

Merci d'avance

David
Afficher la suite 

13 réponses

Messages postés
36719
Date d'inscription
mardi 20 mai 2008
Statut
Contributeur
Dernière intervention
11 mai 2014
583
0
Merci
Bonjour,

Il faut, je pense, installer .NET Framework v4.0 avec les droits d'administrateur.
La page de téléchargement est ici : http://www.microsoft.com/en-us/download/details.aspx?id=17851
Cordialement.
La supériorité du QI ne compense pas la médiocrité du coe­ur.
0
Merci
Bonjour,

Quel version de internet explorer dois je utilisé? car lorsque je lance l'installation, je recois un méssage comme quoi je n'ai pas la bonne version de internet explorer.

Merci
Messages postés
36719
Date d'inscription
mardi 20 mai 2008
Statut
Contributeur
Dernière intervention
11 mai 2014
583
0
Merci
Il te faut Internet Explorer 5.01 ou ultérieur !
C'est bien indiqué dans la page Microsoft .NET Framework 4 (programme d'installation Web) du Microsoft Download Centre.

PS
Pour connaître ta version, clique sur le "?" en haut d'écran.
La supériorité du QI ne compense pas la médiocrité du coe­ur.
Messages postés
14
Date d'inscription
jeudi 27 janvier 2011
Statut
Membre
Dernière intervention
19 mai 2012
1
0
Merci
Bonjour,

Je reçois le meme méssage au lancement du logiciel.

Merci
-
Thank you
Messages postés
36719
Date d'inscription
mardi 20 mai 2008
Statut
Contributeur
Dernière intervention
11 mai 2014
583
0
Merci
Salut David,

1. Concernant Framework : as-tu installé le version 4 ?
1.1 Consulte > Panneau de configuration > Programmes et fonctionnalités et liste les Microsoft .NET Framework ... et les Module linguistique Microsoft .NET Framework ...
1.2 Consulte > Panneau de configuration > Windows Update > Historique des mises à jour et vois s'il n'y aurait pas d'échec de certaines mise à jour de .NET Framework

2. Quelle est la version de ton Internet Explorer ?
Si tu utilises ce navigateur à l'instant où tu me lis, clique sur le ? en haut d'écran (1ère ou 2ème ligne)
3. Quel est le nom complet de ta version de Windows et le système est-il en 64-bit ou en 32-bit ?

ADDENDUM
4. Quel est le nom exact de ton exécutable Mathcad Prime 2.0 ?
5. Avant toutes choses, il te faut installer toutes les mises à jour importantes/recommandées proposées par Windows Update.

La supériorité du QI ne compense pas la médiocrité du coe­ur.
Messages postés
14
Date d'inscription
jeudi 27 janvier 2011
Statut
Membre
Dernière intervention
19 mai 2012
1
0
Merci
1. Oui Framework version 4 est installé sur mon ordinateur. je l'ai d'ailleurs dé installé et réinstallé.

1.1. - Les Microsoft .NET Framework qui sont installés sur mon pc sont:
Microsoft .NET Framework 4 client profile et Microsoft .NET Framework 4 client extended

- les Module linguistique Microsoft .NET Framework installés sont: module lingustique microsoft .Net Framework 4 client profile FRA et module lingustique microsoft .Net Framework 4 extended FRA

1.2. Il n'y a pas d'échec de mise a jour de .NET Framework

2. J'ai internet explorer version 8.0

3. Ma version windows est: Windows 7 intégrale système 64 bit

4. Mon exécutable Mathcad est Mathcad Prime 2.0.

5. toutes les mises à jour importantes proposées par Windows Update sont installées.

Merci.
CCMclaude
Messages postés
36719
Date d'inscription
mardi 20 mai 2008
Statut
Contributeur
Dernière intervention
11 mai 2014
583 -
Vu,

4. Ton exécutable Mathcad est Mathcad Prime 2.0 mais je te demandais le nom de l'exécutable : *********.exe (d'exécution) !
6. Ton installation de Mathcad est-elle une installation d'essai gratuite et d'usage limité dans le temps ou bien as-tu accès au service après-vente complet ?
7. Reçois-tu toujours le message comme quoi le logiciel .NET Framework: v4.0 doit être installé sur ton PC ?
8. N'y a-t-il pas une version 32-bit de Mathcad Prime 2.0 et une version 64-bit (ceci pourrait expliquer cela) ?

Je ne vois pas trop ce qu'il faudrait investiguer mais je pense que Framework ne peut plus être mis en cause.

Voici néanmoins deux topics intéressants qui pourraient (1) mieux t'éclairer ou (2) t'ouvrir d'autres pistes de support :
(1) http://communities.ptc.com/thread/37826
(2) http://www.ptc.com/product/mathcad/free-trial/#1

Cdlt.
Messages postés
14
Date d'inscription
jeudi 27 janvier 2011
Statut
Membre
Dernière intervention
19 mai 2012
1
0
Merci
4. mon exécutable Mathcad est nommé "setup" tout court.

6. Oui ma version de mathcad est une version d'éssai dratuite et d'usage limité.

7. oui je recois toujours le meme méssage.

8. Si il y a deux version, une 32 bit et une autres non spécifiée et c'est cette dernière que j'ai installé.
CCMclaude
Messages postés
36719
Date d'inscription
mardi 20 mai 2008
Statut
Contributeur
Dernière intervention
11 mai 2014
583 -
4. Non ! Ce setup est le programme d'installation !

6/8. As-tu été chercher cette version chez PTC ou bien ur un autre site, par exemple universitaire ?
9. Ton ordinateur remplit-il bien toutes les conditions préalables à l'installation ?
10. Si tu sais où se trouve le dossier où tu as "downloadé", peut-être ton Bureau, pourrais-tu exécuter le setup qui s'y trouve en mode sans échec ? Crée un point de restauration auparavant : après l'essai, il sera possible, si cela ne marche pas, de faire une restauration à cette date je présume.
11. Il y a un autre site de téléchargement disponible ici, mais je ne connais pas sa valeur : http://www.no.adeptnordic.com/download/dlddsp/13245/0/All/Mathcad+Prime+2.0+-+64+Bit+Demo.html

David, au besoin, tu devrais t'adresser au site où tu as téléchargé (mais l'éditeur est à préférer) pour demander de l'aide car, personnellement, je cale.

Cdlt.
Messages postés
14
Date d'inscription
jeudi 27 janvier 2011
Statut
Membre
Dernière intervention
19 mai 2012
1
0
Merci
Merci bcp Claude, je vais reessayer cette derniere instruction et si ça ne marche toujours pas, j'abandonnerai. Je voulais juste découvrir les possibilités de ce logiciel.

Merci encore.
Messages postés
36719
Date d'inscription
mardi 20 mai 2008
Statut
Contributeur
Dernière intervention
11 mai 2014
583
0
Merci
J'ai quand même trouvé l'un ou deux trucs intéressants (... ou pas :/ )

Dans ce document (Welcome to System Requirements) de Adept Scientific - Norge, j'ai relevé deux phrases peut-êtreintéressantes :
12. (required) Microsoft .NET Framework® 4.0 SP1 or later* (...) * Software can be installed automatically during the Mathcad installation, at your option. C'est une information qui, si elle est confirmée par l'éditeur, pourrait t'autoriser à d'abord désinstaller ta version de Microsoft .NET Framework® 4 pour devoir/pouvoir utiliser l'option d'installation de la version 4 exigée si cela est vraiment possible de le faire pendant l'installation de Mathcad 2.0.
13. Note
The 64-bit version of Mathcad runs as a native 64-bit application. This version utilizes more than 4 GB of memory.

Ma remarque : ta mémoire remplit-elle cette condition ?

Cdlt.
Messages postés
14
Date d'inscription
jeudi 27 janvier 2011
Statut
Membre
Dernière intervention
19 mai 2012
1
0
Merci
J'ai une mémoire de 4GB.
Comment faire pour vérifier cette information au pret de l'éditeur? En passant a quoi sert ce logiciel de Microsoft .NET Framework® 4?
CCMclaude
Messages postés
36719
Date d'inscription
mardi 20 mai 2008
Statut
Contributeur
Dernière intervention
11 mai 2014
583 -
14.
Consulte la page de support de l'Éditeur : http://www.ptc.com/support/mathcad.htm

15.
Extrait de la page de téléchargement de CCM :
Le .NET Framework est le modèle de programmation complet et cohérent de Microsoft pour la génération d'applications proposant une expérience utilisateur visuellement surprenante, des communications sûres et fluides, ainsi que la capacité à modéliser toute une gamme de processus métiers.

.NET Framework 4 fonctionne parfaitement en parallèle à d'anciennes versions Framework. Les applications basées sur des versions précédentes du Framework, quant à elles, continueront de s'exécuter sur la version ciblée par défaut.


Cdlt.
CCMclaude
Messages postés
36719
Date d'inscription
mardi 20 mai 2008
Statut
Contributeur
Dernière intervention
11 mai 2014
583 -
PS : la page d'entrée pour MathCad 2 chez l'éditeur PTC se trouve ici :
http://www.ptc.com/product/mathcad/
Messages postés
8724
Date d'inscription
dimanche 8 avril 2007
Statut
Contributeur
Dernière intervention
27 janvier 2014
959
0
Merci
Bonjour,
Essaye avec cette solution...
ouvre l'explorateur Windows dans le répertoire de ton setup.
clic droit sur Setup ->> ouvrir en tant qu'administrateur.
Chez moi ça à déjà fonctionner à 80%
Tu dis
A+
Messages postés
14
Date d'inscription
jeudi 27 janvier 2011
Statut
Membre
Dernière intervention
19 mai 2012
1
0
Merci
J'ai deux fichier .exe dans le repertoire mathcad qui se trouve dans programme file: mathcad.exe; MathcadPrime.exe. Le clic droit sur chacun de ses fichier ne me propose pas l'option "ouvrir en tant qu'administrateur".
Messages postés
8724
Date d'inscription
dimanche 8 avril 2007
Statut
Contributeur
Dernière intervention
27 janvier 2014
959
0
Merci
Si je reprend ton poste 8 ...
4. mon exécutable Mathcad est nommé "setup" tout court.
c'est ce "setup" tout court. que tu dois ouvrir en tant qu'administrateur.
En principe c'est l'exe qui va installer toutes les dépendances et surtout, si tu est avec le jeton d'administrateur, les inscrires au régistre de Windows.
A+